package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Emails;
import com.realnet.vpspack.Services.EmailsService ;




@RequestMapping(value = "/Emails")
 @CrossOrigin("*") 
@RestController
public class EmailsController {
	@Autowired
	private EmailsService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Emails")
		  public Emails Savedata(@RequestBody Emails data) {
		Emails save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Emails/{id}")
	public  Emails update(@RequestBody Emails data,@PathVariable Integer id ) {
		Emails update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Emails/getall/page")
	public Page<Emails> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Emails> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Emails")
	public List<Emails> getdetails() {
		 List<Emails> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Emails")
	public List<Emails> getallwioutsec() {
		 List<Emails> get = Service.getdetails();		
		return get;
}
@GetMapping("/Emails/{id}")
	public  Emails  getdetailsbyId(@PathVariable Integer id ) {
		Emails  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Emails/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}